function FindProxyForURL(url, host) {
    /* http://wp.netscape.com/eng/mozilla/2.0/relnotes/demo/proxy-live.html */

    /* don't proxy things with no dots in them */
    if (!(host.match(/\./))) {  /* same as isPlainHostName */
        return "DIRECT";
    }

    /* don't proxy local connections */
    if (host == "127.0.0.1") {
        return "DIRECT";
    }

    /* don't proxy local connections */
    if (host == "localhost") {
        return "DIRECT";
    }

    /* don't proxy our local stuff */
    if (host == "local.mlb.com") {
        return "DIRECT";
    }

    var port = parsePort(url, "80");

    /* only proxy http */
    if (
        /* this test is more restrictive than we'll want later on, but
         * we're using it temporarily for speed */
        url.match(/^https?:\/\/swarm\..+\..+/) // bug 767 fixed here
        || url.match(/^https?:\/\/(\w+\.)?swarmcast\.net(:(80|443))?\/swarm\//)
        || url.match(/^https?:\/\/(config|proxyapi|services)\.swarmcast\.net(:(80|443))?/)
@CUSTOM_ACCELERATOR_EXPRESSION@
        /* THE OLD TEST: bypass non-standard http ports, helps avoid wierd
         * protocols likeshoutcast.  Also avoids SSL
            shExpMatch(url, "http:*")
            && (port=="80" || port=="8000" || port=="8080" || port=="8888")
         */
            
            ) {
        // we use 127.0.0.1 instead of local.mlb.com because we want to
        // not have to force DNS look-ups
        return "PROXY 127.0.0.1:@PORT@ ; DIRECT";
    }
    
    return "DIRECT";
}

/* Parse the port from a URL */
function parsePort(url, defaultPort) {
    var first_split = url.split("://");
    if (first_split == null || first_split.length < 2) {
        return defaultPort;
    }
    var second_split = first_split[1].split("/");
    if (second_split == null || second_split.length < 1) {
        return defaultPort;
    }
    var third_split = second_split[0].split(":");
    if (third_split == null || third_split.length < 2 || third_split[1] == null
        || third_split[1] == "") {
        return defaultPort;
    }
    return third_split[1];
}
